Subject: Re: [RFC PATCH net] net: ipv4/ipv6 addrconf: call igmp{,6}_group_dropped() while dev is still up

From: Ido Schimmel <[email-masked]>
Date: Mon, 10 Apr 2023 14:43:43 +0300

On Mon, Apr 10, 2023 at 01:09:58PM +0300, Vladimir Oltean wrote:
> So, how do you think I should proceed with this? One patch or two
> (for IPv4 and IPv6)? Is the Fixes: tag ok?

Fixes tag looks OK and one patch is fine by me. However, given the
problem is the check you mentioned in __dev_set_rx_mode(), wouldn't it
be better to simply remove it? From the comment above this check it
seems to assume that there is no need to update the Rx filters of the
device when it's down because they will be synced when it's put back up,
but it fails to consider the case where one wants to clear the filters
of the device as part of device dismantle.